@use "./font" as *;

body.page-connexion {
    font-family: "Marianne", system-ui, -apple-system, "Segoe UI", Roboto, Arial, sans-serif;
    font-weight: 300;
    font-size: 0.80rem;
    color: var(--text-dark);
    background: url("/img/gesimmo-bg.jpg") center / cover no-repeat fixed;

    // overlay pour lisibilité
    &::before {
        content: "";
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.35);
        pointer-events: none;
    }

    // s'assure que le contenu est au-dessus de l'overlay
    >* {
        position: relative;
        z-index: 1;
    }

    .login-topbar {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        height: 60px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        z-index: 10;
        background: rgba(255, 255, 255, 0.5);
    }

    .login-topbar__left,
    .login-topbar__right {
        display: flex;
        align-items: center;
        padding: 0 16px;
        height: 100%;
    }

    .login-topbar__logo {
        height: 100%;
        width: auto;
        display: block;

        &.dgac-logo {
            height: 72%;
        }

        &.mint-logo {
            height: 100%;
        }
    }

    .login-body {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 20vh;
        margin-left: -18vw;

        >div {
            background: rgba(255, 255, 255, 0.5);
            padding: 2.6rem 3rem 1rem;
            border-radius: 8px;
        }

        label {
            margin-top: 0.8rem;
            margin-bottom: 0.2rem;
            font-size: 1rem;
            color: #1c3e7b;
            font-weight: 400;
        }

        input {
            font-weight: 300;
            border-radius: 4px;
        }

        [type="submit"] {
            margin-top: 3rem !important;
            background: #1c3e7b;
            color: #fff;
            border: none;
            padding: 0.8rem 1.5rem;
            border-radius: 4px;
            cursor: pointer;
            font-size: 1rem;
            transition: background-color 0.3s;
            text-transform: uppercase;

            &:hover {
                background: #b3b1b2;
            }
        }
    }

    .login-title {
        text-align: left;
        margin-bottom: 1.5rem;
    }

    .login-baseline {
        font-family: "Spectral", Georgia, serif;
        font-size: 1.5rem;
        letter-spacing: 0.1rem;
        font-style: italic;
        color: #1c3e7b;
        position: fixed;
        bottom: 70px;
        right: 30px;
    }

    .login-logo {
        max-width: 280px;
        width: 100%;
        height: auto;
        display: inline-block;
    }
}